| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Namespaces | Functions
glmlogging.h File Reference
`#include <globjects/globjects_api.h>`
`#include <globjects/base/LogMessageBuilder.h>`
`#include <glm/fwd.hpp>`

Go to the source code of this file.

## Namespaces
| globjects
| Contains all the classes that wrap OpenGL functionality.

## Functions
GLOBJECTS_API LogMessageBuilder | globjects::operator<< (LogMessageBuilder builder, const glm::vec2 &vector)
GLOBJECTS_API LogMessageBuilder | globjects::operator<< (LogMessageBuilder builder, const glm::vec3 &vector)
GLOBJECTS_API LogMessageBuilder | globjects::operator<< (LogMessageBuilder builder, const glm::vec4 &vector)
GLOBJECTS_API LogMessageBuilder | globjects::operator<< (LogMessageBuilder builder, const glm::ivec2 &vector)
GLOBJECTS_API LogMessageBuilder | globjects::operator<< (LogMessageBuilder builder, const glm::ivec3 &vector)
GLOBJECTS_API LogMessageBuilder | globjects::operator<< (LogMessageBuilder builder, const glm::ivec4 &vector)
GLOBJECTS_API LogMessageBuilder | globjects::operator<< (LogMessageBuilder builder, const glm::uvec2 &vector)
GLOBJECTS_API LogMessageBuilder | globjects::operator<< (LogMessageBuilder builder, const glm::uvec3 &vector)
GLOBJECTS_API LogMessageBuilder | globjects::operator<< (LogMessageBuilder builder, const glm::uvec4 &vector)
GLOBJECTS_API LogMessageBuilder | globjects::operator<< (LogMessageBuilder builder, const glm::mat2 &matrix)
GLOBJECTS_API LogMessageBuilder | globjects::operator<< (LogMessageBuilder builder, const glm::mat3 &matrix)
GLOBJECTS_API LogMessageBuilder | globjects::operator<< (LogMessageBuilder builder, const glm::mat4 &matrix)